Subject: bug#34611: closed (Re: bug#34611: virt-manager is not recognizing libvirtd service)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 Dec 2023 05:31:02 +0000

Your bug report

#34611: virt-manager is not recognizing libvirtd service

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34611: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=34611
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34611: virt-manager is not recognizing libvirtd service
From: Maxim Cournoyer <[email-masked]>
To: calcium <[email-masked]>
Cc: [email-masked]
Date: Sat, 30 Dec 2023 00:30:19 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

See commit 4dc17cd54e86dbd71d26b87138660d42e8f615a9 ("services: libvirt:
Change unix-sock-group default.") which changed the group from "root" to
"libvirt".

It should now work without configuring the unix-sock-group, assuming
you're user is part of the 'libvirt' supplementary group.  I've
clarified the doc about this in b69bdcf77f.

Closing.

-- 
Thanks,
Maxim

Subject: virt-manager is not recognizing libvirtd service
From: Brett Gilio <[email-masked]>
To: "bug-guix\@gnu.org" <[email-masked]>
Date: Thu, 21 Feb 2019 23:06:58 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

I am having an issue using virt-manager on GuixSD. I have libvirt and
virt-manager installed, and am starting the libvirtd service using my
configuration file. However, regardless of whether or not I start
virt-manager as root or normal privileges, I am getting a "checking for
virtualization packages..." note with an error of "No active connection
to install on." libvirtd and virtlogd are properly started as far as I
can tell by queurying the herd. Here is my relevant configuration.

(users (cons (user-account
                (name "brettg")
                (comment "Brett Gilio")
                (group "users")
                (supplementary-groups '("wheel" "netdev"
                                        "audio" "video"
					"libvirt"))
                (home-directory "/home/brettg"))
               %base-user-accounts))

  (packages (cons* nss-certs         ;for HTTPS access
                   gvfs              ;for user mounts
		   libvirt
                   %base-packages))

  (services (cons* (service gnome-desktop-service-type
			    (gnome-desktop-configuration
			     (inherit config)
			     (gnome-package gnome-custom)))
		   (service libvirt-service-type)
		   (service virtlog-service-type)
		   (service gdm-service-type)
                   (filter (lambda (x)
                             (not (eq? (service-kind x) slim-service-type)))
                           %desktop-services)))